%define name	mplayer-codecs
%define version	20071007
%define release 6%{?_dist_release}

Summary:	Binary codecs used with MPlayer
Summary(ja): 	MPlayer で使用するバイナリ Codec
Name:		%{name}
Version:	%{version}
Release: 	%{release}
%ifarch %{ix86}
Source0:	ftp://ftp2.mplayerhq.hu/MPlayer/releases/codecs/essential-%{version}.tar.bz2
%endif
%ifarch ppc
Source0:	ftp://ftp2.mplayerhq.hu/MPlayer/releases/codecs/essential-ppc-%{version}.tar.bz2
%endif
%ifarch x86_64
Source0:	ftp://ftp2.mplayerhq.hu/MPlayer/releases/codecs/essential-amd64-%{version}.tar.bz2
%endif

License:	GPL
Group:		Applications/Multimedia
URL:		http://www.mplayerhq.hu/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Binary codec packages add support for codecs that are not yet implemented
natively, like newer RealVideo variants and a lot of uncommon formats.
Note that they are not necessary to play most common formats like DVDs,
MPEG-1/2/4, etc.

%description -l ja
バイナリ Codec パッケージは、最新の RealVideo やその他の特殊なフォーマット
のような mplayer 単体ではまだ対応していないフォーマットを再生できるように
します。
ただし DVD や MPEG-1/2/4 のように一般的なフォーマットを再生する場合には、
このパッケージは必要ありません。

%prep
%ifarch %{ix86}
%setup -q -n essential-%{version}
%endif
%ifarch ppc
%setup -q -n essential-ppc-%{version}
%endif
%ifarch x86_64
%setup -q -n essential-amd64-%{version}
%endif

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/codecs
%{__install} -m 644 * ${RPM_BUILD_ROOT}%{_libdir}/codecs


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_libdir}/codecs

%changelog
* Sun Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 20071007-6
- change release to sync with self-build-mplayer-codecs

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-5
- added Requires: libstdc++3

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-4
- change release to sync with self-build-mplayer-codecs

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-3
- change release to sync with self-build-mplayer-codecs

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20071007-2
- spec in utf8
- fixed %%release for new versioning policy in mplayer-codecs.spec
- dropped ttfontdir variable in mplayer-codecs.spec

* Fri Jan 18 2008 Kazutaka HARADA <Kazutaka HARADA> 20071007-0vl1
- initial build for Vine Linux
